Skip to content

List Runs

GET
/api/v3/projects/{project_id}/runs
curl --request GET \
--url 'https://example.com/api/v3/projects/2489E9AD-2EE2-8E00-8EC9-32D5F69181C0/runs?limit=50&runtime_mode=test'

List runs without loading their potentially large evidence timelines.

project_id
required
Project Id
string format: uuid
limit
Limit
integer
default: 50 >= 1 <= 100
cursor
Any of:
string format: uuid
status
Any of:
string
<= 40 characters
user_id
Any of:
string format: uuid
agent_id
Any of:
string format: uuid
runtime_mode
Runtime Mode
string
default: live
Allowed values: test live
X-Admin-Key
Any of:
string

Successful Response

Media typeapplication/json
RunPageV3
object
items
Items
Array<object>
RunResponseV3
object
agent_id
Any of:
string format: uuid
completed_at
Any of:
string format: date-time
cost_usd
Cost Usd
number
0
created_at
required
Created At
string format: date-time
current_approval_id
Any of:
string
error_message
Any of:
string
id
required
Id
string format: uuid
input_tokens
Input Tokens
integer
0
latency_ms
Latency Ms
integer
0
model_used
Any of:
string
output_tokens
Output Tokens
integer
0
project_id
required
Project Id
string format: uuid
request_metadata
Request Metadata
object
key
additional properties
any
response_id
Any of:
string
runtime_mode
required
Runtime Mode
string
session_id
Any of:
string format: uuid
started_at
Any of:
string format: date-time
status
required
Status
string
surface
required
Surface
string
timing
RunTimingV3

Unambiguous active, wait, and end-to-end timing for one run.

object
active_ms
Active Ms
integer
0
approval_wait_ms
Approval Wait Ms
integer
0
end_to_end_ms
End To End Ms
integer
0
memory_ms
Memory Ms
integer
0
model_ms
Model Ms
integer
0
queue_wait_ms
Queue Wait Ms
integer
0
skill_ms
Skill Ms
integer
0
time_to_first_token_ms
Any of:
integer
tool_ms
Tool Ms
integer
0
trace_content_status
Trace Content Status
string
default: unavailable
trace_id
Any of:
string
user_id
Any of:
string format: uuid
next_cursor
Any of:
string format: uuid
Example
{
"items": [
{
"cost_usd": 0,
"input_tokens": 0,
"latency_ms": 0,
"output_tokens": 0,
"timing": {
"active_ms": 0,
"approval_wait_ms": 0,
"end_to_end_ms": 0,
"memory_ms": 0,
"model_ms": 0,
"queue_wait_ms": 0,
"skill_ms": 0,
"tool_ms": 0
},
"trace_content_status": "unavailable"
}
]
}

Validation Error

Media typeapplication/json
HTTPValidationError
object
detail
Detail
Array<object>
ValidationError
object
ctx
Context
object
input
Input
loc
required
Location
Array
msg
required
Message
string
type
required
Error Type
string
Examplegenerated
{
"detail": [
{
"ctx": {},
"input": "example",
"loc": [
"example"
],
"msg": "example",
"type": "example"
}
]
}